com.genesyslab.wfm8.API.service.config810

## Class CfgShiftShort

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config810.CfgShiftShort

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgShiftShort
      extends java.lang.Object
      implements java.io.Serializable

  Shift Short Information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected int` | `wmBUId`
    `protected int` | `wmEarliestEndDuration`
    `protected double` | `wmEarliestStartTime`
    `protected int` | `wmLatestEndDuration`
    `protected int` | `wmLatestStartDuration`
    `protected int` | `wmMaxDuration`
    `protected int` | `wmMinDuration`
    `protected java.lang.String` | `wmName`
    `protected java.util.List<java.lang.Boolean>` | `wmOpenWeekDays`
    `protected int` | `wmShiftId`
    `protected java.util.List<java.lang.Integer>` | `wmSiteId`
    `protected int` | `wmSiteIdNSizeIs`
    `protected int` | `wmStartStep`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgShiftShort()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getWmBUId()` Gets the value of the wmBUId property.
    `int` | `getWmEarliestEndDuration()` Gets the value of the wmEarliestEndDuration property.
    `double` | `getWmEarliestStartTime()` Gets the value of the wmEarliestStartTime property.
    `int` | `getWmLatestEndDuration()` Gets the value of the wmLatestEndDuration property.
    `int` | `getWmLatestStartDuration()` Gets the value of the wmLatestStartDuration property.
    `int` | `getWmMaxDuration()` Gets the value of the wmMaxDuration property.
    `int` | `getWmMinDuration()` Gets the value of the wmMinDuration property.
    `java.lang.String` | `getWmName()` Gets the value of the wmName property.
    `java.util.List<java.lang.Boolean>` | `getWmOpenWeekDays()` Gets the value of the wmOpenWeekDays property.
    `int` | `getWmShiftId()` Gets the value of the wmShiftId property.
    `java.util.List<java.lang.Integer>` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `getWmSiteIdNSizeIs()` Gets the value of the wmSiteIdNSizeIs property.
    `int` | `getWmStartStep()` Gets the value of the wmStartStep property.
    `int` | `hashCode()`
    `void` | `setWmBUId(int value)` Sets the value of the wmBUId property.
    `void` | `setWmEarliestEndDuration(int value)` Sets the value of the wmEarliestEndDuration property.
    `void` | `setWmEarliestStartTime(double value)` Sets the value of the wmEarliestStartTime property.
    `void` | `setWmLatestEndDuration(int value)` Sets the value of the wmLatestEndDuration property.
    `void` | `setWmLatestStartDuration(int value)` Sets the value of the wmLatestStartDuration property.
    `void` | `setWmMaxDuration(int value)` Sets the value of the wmMaxDuration property.
    `void` | `setWmMinDuration(int value)` Sets the value of the wmMinDuration property.
    `void` | `setWmName(java.lang.String value)` Sets the value of the wmName property.
    `void` | `setWmOpenWeekDays(java.util.List<java.lang.Boolean> wmOpenWeekDays)` Sets the value of the wmOpenWeekDays property.
    `void` | `setWmShiftId(int value)` Sets the value of the wmShiftId property.
    `void` | `setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)` Sets the value of the wmSiteId property.
    `void` | `setWmSiteIdNSizeIs(int value)` Sets the value of the wmSiteIdNSizeIs property.
    `void` | `setWmStartStep(int value)` Sets the value of the wmStartStep property.
    `java.lang.String` | `toString()`
    `CfgShiftShort` | `withWmBUId(int value)`
    `CfgShiftShort` | `withWmEarliestEndDuration(int value)`
    `CfgShiftShort` | `withWmEarliestStartTime(double value)`
    `CfgShiftShort` | `withWmLatestEndDuration(int value)`
    `CfgShiftShort` | `withWmLatestStartDuration(int value)`
    `CfgShiftShort` | `withWmMaxDuration(int value)`
    `CfgShiftShort` | `withWmMinDuration(int value)`
    `CfgShiftShort` | `withWmName(java.lang.String value)`
    `CfgShiftShort` | `withWmOpenWeekDays(java.lang.Boolean... values)`
    `CfgShiftShort` | `withWmOpenWeekDays(java.util.Collection<java.lang.Boolean> values)`
    `CfgShiftShort` | `withWmShiftId(int value)`
    `CfgShiftShort` | `withWmSiteId(java.util.Collection<java.lang.Integer> values)`
    `CfgShiftShort` | `withWmSiteId(java.lang.Integer... values)`
    `CfgShiftShort` | `withWmSiteIdNSizeIs(int value)`
    `CfgShiftShort` | `withWmStartStep(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmShiftId

          protected int wmShiftId

    - #### wmBUId

          protected int wmBUId

    - #### wmSiteIdNSizeIs

          protected int wmSiteIdNSizeIs

    - #### wmSiteId

          protected java.util.List<java.lang.Integer> wmSiteId

    - #### wmName

          protected java.lang.String wmName

    - #### wmMinDuration

          protected int wmMinDuration

    - #### wmMaxDuration

          protected int wmMaxDuration

    - #### wmEarliestStartTime

          protected double wmEarliestStartTime

    - #### wmLatestEndDuration

          protected int wmLatestEndDuration

    - #### wmLatestStartDuration

          protected int wmLatestStartDuration

    - #### wmEarliestEndDuration

          protected int wmEarliestEndDuration

    - #### wmOpenWeekDays

          protected java.util.List<java.lang.Boolean> wmOpenWeekDays

    - #### wmStartStep

          protected int wmStartStep

  - ### Constructor Detail

    - #### CfgShiftShort

          public CfgShiftShort()

  - ### Method Detail

    - #### getWmShiftId

          public int getWmShiftId()

      Gets the value of the wmShiftId property.

    - #### setWmShiftId

          public void setWmShiftId(int value)

      Sets the value of the wmShiftId property.

    - #### getWmBUId

          public int getWmBUId()

      Gets the value of the wmBUId property.

    - #### setWmBUId

          public void setWmBUId(int value)

      Sets the value of the wmBUId property.

    - #### getWmSiteIdNSizeIs

          public int getWmSiteIdNSizeIs()

      Gets the value of the wmSiteIdNSizeIs property.

    - #### setWmSiteIdNSizeIs

          public void setWmSiteIdNSizeIs(int value)

      Sets the value of the wmSiteIdNSizeIs property.

    - #### getWmSiteId

          public java.util.List<java.lang.Integer> getWmSiteId()

      Gets the value of the wmSiteId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmSiteId property.

      For example, to add a new item, do as follows:

              getWmSiteId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmName

          public java.lang.String getWmName()

      Gets the value of the wmName property.
      Returns:
        possible object is `String`

    - #### setWmName

          public void setWmName(java.lang.String value)

      Sets the value of the wmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmMinDuration

          public int getWmMinDuration()

      Gets the value of the wmMinDuration property.

    - #### setWmMinDuration

          public void setWmMinDuration(int value)

      Sets the value of the wmMinDuration property.

    - #### getWmMaxDuration

          public int getWmMaxDuration()

      Gets the value of the wmMaxDuration property.

    - #### setWmMaxDuration

          public void setWmMaxDuration(int value)

      Sets the value of the wmMaxDuration property.

    - #### getWmEarliestStartTime

          public double getWmEarliestStartTime()

      Gets the value of the wmEarliestStartTime property.

    - #### setWmEarliestStartTime

          public void setWmEarliestStartTime(double value)

      Sets the value of the wmEarliestStartTime property.

    - #### getWmLatestEndDuration

          public int getWmLatestEndDuration()

      Gets the value of the wmLatestEndDuration property.

    - #### setWmLatestEndDuration

          public void setWmLatestEndDuration(int value)

      Sets the value of the wmLatestEndDuration property.

    - #### getWmLatestStartDuration

          public int getWmLatestStartDuration()

      Gets the value of the wmLatestStartDuration property.

    - #### setWmLatestStartDuration

          public void setWmLatestStartDuration(int value)

      Sets the value of the wmLatestStartDuration property.

    - #### getWmEarliestEndDuration

          public int getWmEarliestEndDuration()

      Gets the value of the wmEarliestEndDuration property.

    - #### setWmEarliestEndDuration

          public void setWmEarliestEndDuration(int value)

      Sets the value of the wmEarliestEndDuration property.

    - #### getWmOpenWeekDays

          public java.util.List<java.lang.Boolean> getWmOpenWeekDays()

      Gets the value of the wmOpenWeekDays property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmOpenWeekDays property.

      For example, to add a new item, do as follows:

              getWmOpenWeekDays().add(newItem);

      Objects of the following type(s) are allowed in the list `Boolean`

    - #### getWmStartStep

          public int getWmStartStep()

      Gets the value of the wmStartStep property.

    - #### setWmStartStep

          public void setWmStartStep(int value)

      Sets the value of the wmStartStep property.

    - #### withWmShiftId

          public CfgShiftShort withWmShiftId(int value)

    - #### withWmBUId

          public CfgShiftShort withWmBUId(int value)

    - #### withWmSiteIdNSizeIs

          public CfgShiftShort withWmSiteIdNSizeIs(int value)

    - #### withWmSiteId

          public CfgShiftShort withWmSiteId(java.lang.Integer... values)

    - #### withWmSiteId

          public CfgShiftShort withWmSiteId(java.util.Collection<java.lang.Integer> values)

    - #### withWmName

          public CfgShiftShort withWmName(java.lang.String value)

    - #### withWmMinDuration

          public CfgShiftShort withWmMinDuration(int value)

    - #### withWmMaxDuration

          public CfgShiftShort withWmMaxDuration(int value)

    - #### withWmEarliestStartTime

          public CfgShiftShort withWmEarliestStartTime(double value)

    - #### withWmLatestEndDuration

          public CfgShiftShort withWmLatestEndDuration(int value)

    - #### withWmLatestStartDuration

          public CfgShiftShort withWmLatestStartDuration(int value)

    - #### withWmEarliestEndDuration

          public CfgShiftShort withWmEarliestEndDuration(int value)

    - #### withWmOpenWeekDays

          public CfgShiftShort withWmOpenWeekDays(java.lang.Boolean... values)

    - #### withWmOpenWeekDays

          public CfgShiftShort withWmOpenWeekDays(java.util.Collection<java.lang.Boolean> values)

    - #### withWmStartStep

          public CfgShiftShort withWmStartStep(int value)

    - #### setWmSiteId

          public void setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)

      Sets the value of the wmSiteId property.
      Parameters:
        `wmSiteId` - allowed object is `Integer`

    - #### setWmOpenWeekDays

          public void setWmOpenWeekDays(java.util.List<java.lang.Boolean> wmOpenWeekDays)

      Sets the value of the wmOpenWeekDays property.
      Parameters:
        `wmOpenWeekDays` - allowed object is `Boolean`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.